Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.options
Class GIFOptions

    java.lang.Object
      |
      +--com.sun.jimi.core.options.BasicFormatOptionSet
            |
            +--com.sun.jimi.core.options.GIFOptions

public class GIFOptions
extends BasicFormatOptionSet

Options class for GIF images.

Field Summary
`protected IntOption` | `frameDelay`
`protected BooleanOption` | `interlace`
`protected BooleanOption` | `localPalette`
`static int` | `LOOP_FOREVER` Constant meaning unlimited number of loops
`static int` | `NO_TRANSPARENCY` Constant meaning that the image has no transparency
`protected IntOption` | `numberOfLoops`
`protected IntOption` | `transparentIndex`

Fields inherited from class com.sun.jimi.core.options.BasicFormatOptionSet
`nameToOptionMap, options`

Constructor Summary
`GIFOptions()`

Method Summary
`int` | `getFrameDelay()` Get the delay for a frame of animation.
`int` | `getNumberOfLoops()` Get the number of times an animation will be played.
`int` | `getTransparentIndex()` Get the index to be treated as transparent.
`boolean` | `isInterlaced()` Check whether interlacing is used.
`boolean` | `isUsingLocalPalettes()` Check whether local palettes are in use.
`void` | `setFrameDelay(int delay)` Set the delay for a frame of animation.
`void` | `setInterlaced(boolean value)` Set whether the image should be interlaced.
`void` | `setNumberOfLoops(int value)` Set the number of times to play an animation
`void` | `setTransparentIndex(int index)` Set the index to be treated as transparent.
`void` | `setUseLocalPalettes(boolean value)` Set whether frames should have their own palettes.
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jimi.core.options.BasicFormatOptionSet
`clone, copyOptionsFrom, getOption, getOptions, initWithOptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_TRANSPARENCY

    public static final int NO_TRANSPARENCY

  Constant meaning that the image has no transparency

### LOOP_FOREVER

    public static final int LOOP_FOREVER

  Constant meaning unlimited number of loops

### transparentIndex

    protected IntOption transparentIndex

### interlace

    protected BooleanOption interlace

### frameDelay

    protected IntOption frameDelay

### localPalette

    protected BooleanOption localPalette

### numberOfLoops

    protected IntOption numberOfLoops

Constructor Detail

### GIFOptions

    public GIFOptions()

Method Detail

### setTransparentIndex

    public void setTransparentIndex(int index)
                             throws OptionException

  Set the index to be treated as transparent.
  Parameters:
    `index` - the color index

### getTransparentIndex

    public int getTransparentIndex()

  Get the index to be treated as transparent.

### setInterlaced

    public void setInterlaced(boolean value)
                       throws OptionException

  Set whether the image should be interlaced.
  Parameters:
    `value` - true for interlacing

### isInterlaced

    public boolean isInterlaced()

  Check whether interlacing is used.
  Returns:
    true if interlacing is used

### setFrameDelay

    public void setFrameDelay(int delay)
                       throws OptionException

  Set the delay for a frame of animation.
  Parameters:
    `delay` - the delay in hundredths of a second

### getFrameDelay

    public int getFrameDelay()

  Get the delay for a frame of animation.
  Returns:
    the delay in hundredths of a second

### setUseLocalPalettes

    public void setUseLocalPalettes(boolean value)

  Set whether frames should have their own palettes.
  Parameters:
    `value` - true for separate palettes, false for shared

### isUsingLocalPalettes

    public boolean isUsingLocalPalettes()

  Check whether local palettes are in use.
  Returns:
    true if each frame has its own palette

### setNumberOfLoops

    public void setNumberOfLoops(int value)
                          throws OptionException

  Set the number of times to play an animation
  Parameters:
    `value` - the number of times to play, between 1 and 65535, or LOOP_FOREVER

### getNumberOfLoops

    public int getNumberOfLoops()

  Get the number of times an animation will be played.
  Returns:
    the number of times an animation will be played, or LOOP_FOREVER

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD